#include <locale.h>
#include "psilib.h"
#include <io.h>
#include <sys\stat.h>


int main ( int argc, char *argv[] )
{
    APIRET rc = 0;
    UCHAR  *comport;
    UCHAR  *baud;
    struct  stat Fstat;

if ( argc < 3 )
    {
    printf ( "Two arguments : Source file (Psion), dest file.\n" );
    return ( EOF );
    }
if ( (comport=getenv("PSICOM")) != NULL )
    {                        
    strcpy ( ComName, comport );
    }
if ( (baud=getenv("PSIBAUD")) != NULL )
    {                        
    ComBaud = atol(baud);
    }
printf ( "Serial port %s, baud %ld\n", ComName, ComBaud );

setlocale ( LC_ALL, pcLocale );
if ( !(rc=psInit(ComName,ComBaud)) )
    {
    if ( !(rc=runLink()) )
        {
        if ( !(rc=rfsvConnect()) )
            {
            printf ( "Copying %s from Psion to %s\n", argv[1], argv[2] );
            psCopy2os ( argv[1], argv[2] );
            rfsvDisconnect();
            }
        }
    DosPostEventSem(LinkSem);
    stopSerialPort ( ComPort );
    }
if ( rc || getPsionError() )
    printf ( "\nLink error \"%d\", Psion Error = %d\n", rc, getPsionError() );
return ( rc );
}
